@import 'tailwindcss' source('..');
@source "..";
@theme {
  --color-sdg-blue: #1f66b0;
  --color-sdg-light-blue: #2d92fc;
  --color-sdg-background-blue: #0072cf;
  --color-sdg-background-light-grey: #e1e8ef;
  --color-sdg-gray: #5e6369;
  --color-sdg-dark-gray: #c9cfd5;
  --color-sdg-blue-gray: #989ca0;
  --color-sdg-green: #069661;
  --font-sdg: SdgFont, sans-serif;
}

/*
  The default border color has changed to `currentColor` in Tailwind CSS v4,
  so we've added these compatibility styles to make sure everything still
  looks the same as it did with Tailwind CSS v3.

  If we ever want to remove these styles, we need to add an explicit border
  color utility to any element that depends on these defaults.
*/
@layer base {
  *,
  ::after,
  ::before,
  ::backdrop,
  ::file-selector-button {
    border-color: var(--color-gray-200, currentColor);
  }
}

@font-face {
  font-family: 'SdgFont';
  src: url('@/assets/fonts/sdg_trade_gothic/Linotype - Trade Gothic LT.ttf') format('ttf');
  font-weight: 400; /* Regular weight */
  font-style: normal;
}

@font-face {
  font-family: 'SdgFont';
  src: url('@/assets/fonts/sdg_trade_gothic/Linotype - Trade Gothic LT Light.ttf') format('ttf');
  font-weight: 100; /* Thin weight */
  font-style: normal;
}

@font-face {
  font-family: 'SdgFont';
  src: url('@/assets/fonts/sdg_trade_gothic/Linotype - Trade Gothic LT Bold Two.ttf') format('ttf');
  font-weight: 700; /* Bold weight */
  font-style: normal;
}

*,
*:before,
*:after {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
}

html,
body,
#app {
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  font-family: 'SdgFont', sans-serif;
  font-weight: 100;
}

#app2 {
  width: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}
main {
  flex: auto;
}
